# Record TCefXmlReader

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefXmlReader = record`

## Description

Structure that supports the reading of XML data via the libxml streaming API. The functions of this structure should only be called on the thread that creates the object.

NOTE: This struct is allocated DLL-side.

Implemented by ICefXmlReader.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_xml_reader_capi.h">CEF source file: /include/capi/cef_xml_reader_capi.h (cef_xml_reader_t))

## Overview

### Fields

| `base: TCefBaseRefCounted;`
| `move_to_next_node: function(self: PCefXmlReader): Integer; stdcall;`
| `close: function(self: PCefXmlReader): Integer; stdcall;`
| `has_error: function(self: PCefXmlReader): Integer; stdcall;`
| `get_error: function(self: PCefXmlReader): PCefStringUserFree; stdcall;`
| `get_type: function(self: PCefXmlReader): TCefXmlNodeType; stdcall;`
| `get_depth: function(self: PCefXmlReader): Integer; stdcall;`
| `get_local_name: function(self: PCefXmlReader): PCefStringUserFree; stdcall;`
| `get_prefix: function(self: PCefXmlReader): PCefStringUserFree; stdcall;`
| `get_qualified_name: function(self: PCefXmlReader): PCefStringUserFree; stdcall;`
| `get_namespace_uri: function(self: PCefXmlReader): PCefStringUserFree; stdcall;`
| `get_base_uri: function(self: PCefXmlReader): PCefStringUserFree; stdcall;`
| `get_xml_lang: function(self: PCefXmlReader): PCefStringUserFree; stdcall;`
| `is_empty_element: function(self: PCefXmlReader): Integer; stdcall;`
| `has_value: function(self: PCefXmlReader): Integer; stdcall;`
| `get_value: function(self: PCefXmlReader): PCefStringUserFree; stdcall;`
| `has_attributes: function(self: PCefXmlReader): Integer; stdcall;`
| `get_attribute_count: function(self: PCefXmlReader): NativeUInt; stdcall;`
| `get_attribute_byindex: function(self: PCefXmlReader; index: Integer): PCefStringUserFree; stdcall;`
| `get_attribute_byqname: function(self: PCefXmlReader; const qualifiedName: PCefString): PCefStringUserFree; stdcall;`
| `get_attribute_bylname: function(self: PCefXmlReader; const localName, namespaceURI: PCefString): PCefStringUserFree; stdcall;`
| `get_inner_xml: function(self: PCefXmlReader): PCefStringUserFree; stdcall;`
| `get_outer_xml: function(self: PCefXmlReader): PCefStringUserFree; stdcall;`
| `get_line_number: function(self: PCefXmlReader): Integer; stdcall;`
| `move_to_attribute_byindex: function(self: PCefXmlReader; index: Integer): Integer; stdcall;`
| `move_to_attribute_byqname: function(self: PCefXmlReader; const qualifiedName: PCefString): Integer; stdcall;`
| `move_to_attribute_bylname: function(self: PCefXmlReader; const localName, namespaceURI: PCefString): Integer; stdcall;`
| `move_to_first_attribute: function(self: PCefXmlReader): Integer; stdcall;`
| `move_to_next_attribute: function(self: PCefXmlReader): Integer; stdcall;`
| `move_to_carrying_element: function(self: PCefXmlReader): Integer; stdcall;`

## Description

### Fields

| `base: TCefBaseRefCounted;`
This item has no description.

| `move_to_next_node: function(self: PCefXmlReader): Integer; stdcall;`
This item has no description.

| `close: function(self: PCefXmlReader): Integer; stdcall;`
This item has no description.

| `has_error: function(self: PCefXmlReader): Integer; stdcall;`
This item has no description.

| `get_error: function(self: PCefXmlReader): PCefStringUserFree; stdcall;`
This item has no description.

| `get_type: function(self: PCefXmlReader): TCefXmlNodeType; stdcall;`
This item has no description.

| `get_depth: function(self: PCefXmlReader): Integer; stdcall;`
This item has no description.

| `get_local_name: function(self: PCefXmlReader): PCefStringUserFree; stdcall;`
This item has no description.

| `get_prefix: function(self: PCefXmlReader): PCefStringUserFree; stdcall;`
This item has no description.

| `get_qualified_name: function(self: PCefXmlReader): PCefStringUserFree; stdcall;`
This item has no description.

| `get_namespace_uri: function(self: PCefXmlReader): PCefStringUserFree; stdcall;`
This item has no description.

| `get_base_uri: function(self: PCefXmlReader): PCefStringUserFree; stdcall;`
This item has no description.

| `get_xml_lang: function(self: PCefXmlReader): PCefStringUserFree; stdcall;`
This item has no description.

| `is_empty_element: function(self: PCefXmlReader): Integer; stdcall;`
This item has no description.

| `has_value: function(self: PCefXmlReader): Integer; stdcall;`
This item has no description.

| `get_value: function(self: PCefXmlReader): PCefStringUserFree; stdcall;`
This item has no description.

| `has_attributes: function(self: PCefXmlReader): Integer; stdcall;`
This item has no description.

| `get_attribute_count: function(self: PCefXmlReader): NativeUInt; stdcall;`
This item has no description.

| `get_attribute_byindex: function(self: PCefXmlReader; index: Integer): PCefStringUserFree; stdcall;`
This item has no description.

| `get_attribute_byqname: function(self: PCefXmlReader; const qualifiedName: PCefString): PCefStringUserFree; stdcall;`
This item has no description.

| `get_attribute_bylname: function(self: PCefXmlReader; const localName, namespaceURI: PCefString): PCefStringUserFree; stdcall;`
This item has no description.

| `get_inner_xml: function(self: PCefXmlReader): PCefStringUserFree; stdcall;`
This item has no description.

| `get_outer_xml: function(self: PCefXmlReader): PCefStringUserFree; stdcall;`
This item has no description.

| `get_line_number: function(self: PCefXmlReader): Integer; stdcall;`
This item has no description.

| `move_to_attribute_byindex: function(self: PCefXmlReader; index: Integer): Integer; stdcall;`
This item has no description.

| `move_to_attribute_byqname: function(self: PCefXmlReader; const qualifiedName: PCefString): Integer; stdcall;`
This item has no description.

| `move_to_attribute_bylname: function(self: PCefXmlReader; const localName, namespaceURI: PCefString): Integer; stdcall;`
This item has no description.

| `move_to_first_attribute: function(self: PCefXmlReader): Integer; stdcall;`
This item has no description.

| `move_to_next_attribute: function(self: PCefXmlReader): Integer; stdcall;`
This item has no description.

| `move_to_carrying_element: function(self: PCefXmlReader): Integer; stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.